CREATE TABLE hz_geographies_int (
    INTERFACE_ROW_ID               NUMBER(18, 0)     NOT NULL,
    BATCH_ID                       NUMBER(18, 0)     NOT NULL,
    RECORD_TYPE_CODE               NUMBER(2, 0)      NOT NULL,
    GEOGRAPHY_TYPE                 VARCHAR2(120) ,
    PRIMARY_GEOGRAPHY_NAME         VARCHAR2(1440),
    PRIMARY_GEOGRAPHY_CODE         VARCHAR2(120) ,
    PRIMARY_GEOGRAPHY_CODE_TYPE    VARCHAR2(120) ,
    COUNTRY_CODE                   VARCHAR2(8)       NOT NULL,
    LEVEL_NUMBER                   NUMBER(2, 0)  ,
    SOURCE_ID                      NUMBER(18, 0) ,
    PARENT_SOURCE_ID               NUMBER(18, 0) ,
    GEOGRAPHY_ID                   NUMBER(18, 0) ,
    PARENT_GEOGRAPHY_ID            NUMBER(18, 0) ,
    PARENT_GEOGRAPHY_TYPE          VARCHAR2(120) ,
    RELATIONSHIP_ID                NUMBER(18, 0) ,
    START_DATE                     DATE          ,
    END_DATE                       DATE          ,
    GEO_DATA_PROVIDER              VARCHAR2(120) ,
    PROVIDER_GEO_ID                VARCHAR2(256) ,
    PARENT_PROVIDER_GEO_ID         VARCHAR2(256) ,
    LANGUAGE_CODE                  VARCHAR2(16)  ,
    TIMEZONE_CODE                  VARCHAR2(256) ,
    IDENTIFIER_TYPE                VARCHAR2(120) ,
    IDENTIFIER_SUBTYPE             VARCHAR2(120) ,
    IDENTIFIER_VALUE               VARCHAR2(1440),
    INSERT_UPDATE_FLAG             VARCHAR2(4)   ,
    ERROR_ID                       NUMBER(18, 0) ,
    FILE_RECORD_NUM                NUMBER(10, 0) ,
    IMPORT_STATUS_CODE             VARCHAR2(120) ,
    INTERNAL_ACTION_CODE           VARCHAR2(120) ,
    LAST_UPDATE_DATE               TIMESTAMP(6)  ,
    LAST_UPDATED_BY                VARCHAR2(256) ,
    CREATION_DATE                  TIMESTAMP(6)  ,
    CREATED_BY                     VARCHAR2(256) ,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    FILE_NAME_SYSTASK_ID           NUMBER(18, 0) ,
    GEOGRAPHY_IDENTIFIER_ID        NUMBER(18, 0) ,
    PREV_GEOGRAPHY_ID              NUMBER(18, 0) ,
    PREV_END_DATE                  DATE          ,
    INTERFACE_ROW_ID               NUMBER(18, 0)     NOT NULL,
    BATCH_ID                       NUMBER(18, 0)     NOT NULL,
    RECORD_TYPE_CODE               NUMBER(2, 0)      NOT NULL,
    GEOGRAPHY_TYPE                 VARCHAR2(120) ,
    PRIMARY_GEOGRAPHY_NAME         VARCHAR2(1440),
    PRIMARY_GEOGRAPHY_CODE         VARCHAR2(120) ,
    PRIMARY_GEOGRAPHY_CODE_TYPE    VARCHAR2(120) ,
    COUNTRY_CODE                   VARCHAR2(8)       NOT NULL,
    LEVEL_NUMBER                   NUMBER(2, 0)  ,
    SOURCE_ID                      NUMBER(18, 0) ,
    PARENT_SOURCE_ID               NUMBER(18, 0) ,
    GEOGRAPHY_ID                   NUMBER(18, 0) ,
    PARENT_GEOGRAPHY_ID            NUMBER(18, 0) ,
    PARENT_GEOGRAPHY_TYPE          VARCHAR2(120) ,
    RELATIONSHIP_ID                NUMBER(18, 0) ,
    START_DATE                     DATE          ,
    END_DATE                       DATE          ,
    GEO_DATA_PROVIDER              VARCHAR2(120) ,
    LANGUAGE_CODE                  VARCHAR2(16)  ,
    TIMEZONE_CODE                  VARCHAR2(256) ,
    IDENTIFIER_TYPE                VARCHAR2(120) ,
    IDENTIFIER_SUBTYPE             VARCHAR2(120) ,
    IDENTIFIER_VALUE               VARCHAR2(1440),
    INSERT_UPDATE_FLAG             VARCHAR2(4)   ,
    ERROR_ID                       NUMBER(18, 0) ,
    FILE_RECORD_NUM                NUMBER(10, 0) ,
    IMPORT_STATUS_CODE             VARCHAR2(120) ,
    LAST_UPDATE_DATE               TIMESTAMP(6)  ,
    LAST_UPDATED_BY                VARCHAR2(256) ,
    CREATION_DATE                  TIMESTAMP(6)  ,
    CREATED_BY                     VARCHAR2(256) ,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    FILE_NAME_SYSTASK_ID           NUMBER(18, 0) ,
    GEOGRAPHY_IDENTIFIER_ID        NUMBER(18, 0) ,
    PROVIDER_GEO_ID                VARCHAR2(256) ,
    PARENT_PROVIDER_GEO_ID         VARCHAR2(256) ,
    INTERNAL_ACTION_CODE           VARCHAR2(120) ,
    PREV_GEOGRAPHY_ID              NUMBER(18, 0) ,
    PREV_END_DATE                  DATE          
);
